aboutsummaryrefslogtreecommitdiff
path: root/python/pygobject3/pygobject3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'python/pygobject3/pygobject3.SlackBuild')
-rw-r--r--python/pygobject3/pygobject3.SlackBuild24
1 files changed, 14 insertions, 10 deletions
diff --git a/python/pygobject3/pygobject3.SlackBuild b/python/pygobject3/pygobject3.SlackBuild
index 587b06ee0a5a..e4a8fff48a92 100644
--- a/python/pygobject3/pygobject3.SlackBuild
+++ b/python/pygobject3/pygobject3.SlackBuild
@@ -25,7 +25,7 @@
PRGNAM=pygobject3
SRCNAM=pygobject
VERSION=${VERSION:-3.10.2}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -65,10 +65,16 @@ tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if $(python3 -c 'import sys' 2>/dev/null); then
+ patch -p1 < $CWD/python3.4.patch
+ PYTHON=python3
+ ./autogen.sh
+fi
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -81,12 +87,11 @@ CFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- INSTALL AUTHORS COPYING* NEWS README* \
+cp -a INSTALL AUTHORS COPYING* NEWS README* \
$PKG/usr/doc/$PRGNAM-$VERSION
( cd $PKG/usr/doc/$PRGNAM-$VERSION
ln -s ../../share/gtk-doc/html/pygobject html
@@ -97,4 +102,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-